org.eclipse.emf.facet.widgets.celleditors

## Class AbstractCellEditorComposite<T>

- java.lang.Object
- - Composite
  - - org.eclipse.emf.facet.widgets.celleditors.AbstractCellEditorComposite<T>

All Implemented Interfaces:
  IWidget2<T>

Direct Known Subclasses:
  BooleanComposite, StringComposite, StringMultiComposite

    public abstract class AbstractCellEditorComposite<T>
    extends Composite
    implements IWidget2<T>

### Constructor Summary

Constructors
Constructor and Description
`AbstractCellEditorComposite(Composite parent)`
`AbstractCellEditorComposite(Composite parent, int style)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addChangeListener(IListener listener)` Add a listener for changes to the value
`void` `addCommitListener(IListener listener)` Add a listener that is notified when the value in the widget is "committed".
`IValidator` `getValidator()`
`void` `removeChangeListener(IListener listener)` Remove an existing change listener
`void` `removeCommitListener(IListener listener)` Remove an existing commit listener

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.facet.widgets.celleditors.IWidget2

`getValue, setValue`

### Constructor Detail

#### AbstractCellEditorComposite

    public AbstractCellEditorComposite(Composite parent)

#### AbstractCellEditorComposite

    public AbstractCellEditorComposite(Composite parent,
                                       int style)

### Method Detail

#### addCommitListener

    public void addCommitListener(IListener listener)

Description copied from interface: `IWidget2`
Add a listener that is notified when the value in the widget is "committed". That is, when the user hits Enter or clicks outside the widget.

Specified by:
  `addCommitListener` in interface `IWidget2<T>`

#### removeCommitListener

    public void removeCommitListener(IListener listener)

Description copied from interface: `IWidget2`
Remove an existing commit listener

Specified by:
  `removeCommitListener` in interface `IWidget2<T>`

#### addChangeListener

    public void addChangeListener(IListener listener)

Description copied from interface: `IWidget2`
Add a listener for changes to the value

Specified by:
  `addChangeListener` in interface `IWidget2<T>`

#### removeChangeListener

    public void removeChangeListener(IListener listener)

Description copied from interface: `IWidget2`
Remove an existing change listener

Specified by:
  `removeChangeListener` in interface `IWidget2<T>`

#### getValidator

    public IValidator getValidator()

Specified by:
  `getValidator` in interface `IWidget2<T>`
Returns:
  the validator used to determine whether an entered value is accepted